/*
File: briefing.sqf
Author: Loyalguard

Description:
Briefing file for AEG Demo Mission.

Parameters:
None.

Execution:
Executed from init.sqf.

*/

// CHERNARUS

// Grid Information Sections Custom to Each Island.

player createDiaryRecord ["Diary", ["Solnichniy Substation", "The <marker name='D_Soln'>Solnichniy Substation</marker> consists of one transformer (D_Soln).<br/><br/>

D_Soln receives power from D_Elek at the <marker name='P_Elek'>Elektrozavodsk Power Plant</marker>.<br/><br/>

D_Soln also distributes power to street lamps in the following cities, towns, and areas: Solnichniy, Three Valleys, Dolina, Tulga, Nizhnoye, Msta, Polana, Shakhova, and Staroye.<br/><br/>

To determine if D_Soln has power flowing through it, check the condition of AEG_on_D_Soln.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Soln to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Soln to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\SolnichniySubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Berezino Substation", "The <marker name='D_Bere'>Berezino Substation</marker> consists of one transformer (D_Bere).  There is also one inactive transformer.<br/><br/>

D_Bere receives power from T_Zele_2 at the <marker name='D_Zele'>Zelenogorsk Substation</marker>.<br/><br/>

D_Bere also distributes power to street lamps in the following cities, towns, and areas: Berezino, Khelm, Orlovets, Dubrovka, Gorka, Gvozdno, Krasnostov, Krasnostov Airstrip, and Olsha.<br/><br/>

To determine if D_Bere has power flowing through it, check the condition of AEG_on_D_Bere.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Bere to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Bere to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\BerezinoSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Zelenogorsk Substation", "The <marker name='D_Zele'>Zelenogorsk Substation</marker> consists of three transformers (T_Zele_1, T_Zele2, and D_Zele).<br/><br/>

T_Zele_1 receives power from TSZag_3 at the <marker name='D_SZag'>South Zagoria Regional Substation</marker>.  T_Zele_1 transmits power to the T_Zele_2 and D_Zele.<br/><br/>

T_Zele_2 receives power from T_Zele_1 and D_Zele.  T_Zele_1 transmits power to D_Bere at the <marker name='D_Bere'>Berezino Substation</marker>.<br/><br/>

D_Zele receives power from T_Zele_1 and T_Elek_2 at the <marker name='P_Elek'>Elektrozavodsk Power Plant</marker>.  D_Zele transmits power to T_Zele_2.<br/><br/>

D_Zele also distributes power to street lamps in the following cities, towns, and areas:  Zelenogorsk, Drozhino, Pavlovo, Bor, Windy Mountain, Kozlovka, Green Mountain, Pogorevka, Rogovo, Pulkovo, and Kamenka.<br/><br/>

To determine if D_Zele has power flowing through it, check the condition of AEG_on_D_Zele.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Zele to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Zele to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ZelenogorskSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Chernogorsk Substation", "The <marker name='D_Cher'>Chernogorsk Substation</marker> consists of one transformer (D_Cher).<br/><br/>

D_Cher receives power from T_Cher_1 at the <marker name='P_Cher'>Chernogorsk Power Plant</marker> and D_SZag at the <marker name='D_SZag'>South Zagoria Regional Substation</marker>.<br/><br/>

D_Cher also distributes power to street lamps in the following cities, towns, and areas: Chernogorsk, Mutnaya Coast, Balota, Balota Airstrip, Vysota, and Komarovo.<br/><br/>

To determine if D_Cher has power flowing through it, check the condition of AEG_on_D_Cher.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Cher to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Cher to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ChernogorskSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["South Zagoria Regional Substation", "The <marker name='D_SZag'>South Zagoria Regional Substation</marker> consists of four transformers (T_SZag_1, T_SZag2, T_SZag_3, and D_SZag).<br/><br/>

T_SZag_1 receives power from T_Elek_1 at the <marker name='P_Elek'>Elektrozavodsk Power Plant</marker>.  T_SZag_1 transmits power to the D_SZag and T_SZag_3.<br/><br/>

T_SZag_2 receives power from T_Cher_1 at the <marker name='P_Cher'>Chernogorsk Power Plant</marker>.  T_SZag_2 transmits power to D_SZag and T_SZag_3.<br/><br/>

T-SZag_3 receives power from T_SZag_1 and T_SZag_2.  T-SZag_3 transmits power to T_Zele_1 at the <marker name='D_Zele'>Zelenogorsk Substation</marker>.<br/><br/>

D_SZag_1 receives power from T_SZag_1 and T_SZag_2.  D_SZag transmits power to D_Cher at the <marker name='D_Cher'>Chernogorsk Substation</marker>.<br/><br/>

D_SZag also distributes power to street lamps in the following cities, towns, and areas: Nadezhdino, Mogilevka, Vyshnoye, Guglovo, Novy Sobor, Stary Sobor, Kabinino, Dosnovka, Myshkino, Pustoshka, Vybor, Lopatino, Northern Airfield, Grishino, Petrovka, and Skalka.<br/><br/>

To determine if D_SZag has power flowing through it, check the condition of AEG_on_D_SZag.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_SZag to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_SZag  to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\SouthZagoriaRegionalSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Chernogorsk Power Plant", "The <marker name='P_Cher'>Chernogorsk Power Plant</marker> consists of a power plant building (P_Cher), smokestack (S_Cher), and one adjacent transformer (T_Cher_1).<br/><br/>

To determine if P_Cher is generating power, check the condition of AEG_on_P_Cher.  To determine if the S_Cher smokestack is functioning, check the condition of AEG_op_S_Cher.  To temporarily disconnect power to locations connected to this power plant, change AEG_out_P_Cher to false.  To permanently disconnect power to locations connected to this power plant, change AEG_op_P_Cher to false.<br/><br/> 

T_Cher_1 receives power from P_Cher. T_Cher_1 transmits power to D_Cher at the <marker name='D_Cher'>Chernogorsk Substation</marker> and and T_SZag_2 at the <marker name='D_SZag'>South Zagoria Regional Substation</marker>.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ChernogorskPowerPlant.paa'/>"]];

player createDiaryRecord ["Diary", ["Elektrozavodsk Power Plant", "The <marker name='P_Elek'>Elektrozavodsk Power Plant</marker> consists of a power plant building (P_Elek), smokestack (S_Elek), and three adjacent transformers (T_Elek_1, T_Elek_2, and D_Elek).

To determine if P_Elek is generating power, check the condition of AEG_on_P_Elek.  To determine if the S_Elek smokestack is functioning, check the condition of AEG_op_S_Elek.
To temporarily disconnect power to locations connected to this power plant, change AEG_out_P_Elek to false.  To permanently disconnect power to locations connected to this power plant, change AEG_op_P_Elek  to false.<br/><br/> 
 
T_Elek_1 receives power from P_Elek. T_Elek_1 transmits power to T_SZag_1 at the <marker name='D_SZag'>South Zagoria Regional Substation</marker>.<br/><br/>

T_Elek_2 receives power from P_Elek.  T_Elek_2 transmits power to D_Zele at the <marker name='D_Zele'>Zelenogorsk Substation</marker>.<br/><br/>

D_Elek receives power from P_Elek.  D_Elek transmits power to D_Soln at the <marker name='D_Soln'>Solnichniy Substation</marker>.<br/><br/>

D_Elek also distributes power to street lamps in the following cities, towns, and areas: Elektrozavodsk, Zelenaya Coast, Kamyshovo, Skalisty, Golova, Topolka, Pusta, and Prigorodki.<br/><br/>

To determine if D_Elek has power flowing through it, check the condition of AEG_on_D_Elek.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Elek to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Elek to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ElektrozavodskPowerPlant.paa'/>"]];

// Section for all AEG Briefings.

player createDiaryRecord ["Diary", ["---Mission Maker Documentation---", "The following sections contain information on each power plant, substation, or transformer used by AEG for this island.  Each section describes a specific grid component to include its location with links to the map, its connections to other grid components, associated variables for manipulation or monitoring for tasks, and overhead photo imagery with labels. All of the imagery used in this briefing can be found in the ""Intelligence"" folder inside the mission folder. All images are in .paa format that can easily be easily inserted into your own briefing, hints, or other resources.  All images are either North up or taken facing North.  Please note that all .paa files are 512x512 and may be partially cutoff on the right side for users with normal or large UI sizes."]];

player createDiaryRecord ["Diary", ["Demo Mission Overview", "In this demo you can click anywhere on the map to teleport to that location.  You are also armed with three satchel charges to destroy substations or pole-mounted transformers.  There is one playable position available at each substation or transformer pole.  Inside the shack at each power plant location there is a computer to logon to the grid control system (demo mission only -- See In-Game Use).  In the demo mission no password is required at Chernogorsk, but a password is required at Elektrozavodsk (password: abc123).  See the Tasks section for a demo task.  The Following sections document the features of the grid on this island to include locations, connections, and variables relevant for tasks and objectives."]];

player createDiaryRecord ["Diary", ["In-Game Use", "There are three ways players can interact with the grids:<br/><br/>

1. Destroy components to cut off power. A transformer object must be completely destroyed for power flowing through it to be cut off. The same principle goes for power plant building. An object is completely destroyed when it disappears (or is replaced with rubble/ruins).<br/><br/>

2. Players can also manually cutoff and restore power at by tripping and closing circuit breakers respectively. To cut off power, walk towards the transformer and face the center. When close enough, you will see an action menu option to Trip Circuit Breaker or Close Circuit Breaker. This option can be turned off by the mission maker.  Mission makers can also add the possibility of an arc flash explosion when manually switching breakers.<br/><br/>

The below diagram shows the approximate position of the circuit breaker action menu activation area at substations or transformer poles depending on which is available on this island:<br/>
<img image='Intelligence\CircuitBreaker.paa'/>

<br/><br/>
3. If given the option by the mission maker and on specific supported islands (check readme.txt for specific islands), players can logon to the grid control system and monitor and control power remotely. Players can also access a closed circuit television system to monitor substation activity.  The grid control system has a point and click interface. If a circuit breaker is tripped or closed as described above, it can be changed back again via the control system (and vise versa).  A password (change by the mission maker) may be required to access the grid control system.<br/><br/>

The below diagram gives an overview of the main grid control system screen:<br/>
<img image='Intelligence\RemoteSystem.paa'/>"]];

player createDiaryRecord ["Diary", ["AEG Overview","The ArmA Electrical Grids (AEG) simulate electrical power grids on specific A2, OA, and CO islands. There may be power plants with smokestacks that emit smoke when generating electricity. There may also be substations and pole-mounted transformers that emit a humming noise when energized. Street lamps are turned off when power is cutoff.  Some grid connections may be redundant in case certain components are offline.  There may be components on the map that are inactive."]];