/*
	File: init.sqf
	Author: Loyalguard

	Description:
	init.sqf script for AEG demo missions.

	Parameters:
	None.
 
	Execution:
	Executed at mission start by the game engine.
*/

// Uncomment the line below to disable players from manually switching power on and off through the action menu at transformer locations.  True or Nil: enabled.  False: disabled.  Default is enabled.

//AEG_manual = false;

// Uncomment the first line below to allow the CCTV system to use night vision  True: enabled.  False or Nil: disabled.  Default is disabled.  Default times for nightvision can also be customized as well.

//AEG_NVG = true;
//AEG_dark = 19; // Default time Camera NVG use BEGINS, change to customize as desired.  Does not need to be uncommented to work, only if changed.
//AEG_light 6; // Default time Camera NVG use ENDS, change to customize as desired.  Does not need to be uncommented to work, only if changed.

// Uncomment the line below to cause an arc flash explosion every time a circuit breaker is switched.  Change the value to whatever odds of occurence you want an arc flash to occur.  For examples AEG_explode = 4 would cause an arc flash 1 in every 4 times, AEG_explode = 100 would cause an arc flash 1 in every 100 times.

//AEG_explode = 1; 

// Comment or delete the line below to NOT require a password to logon to the grid control software system (only on specific supported islands).  In the demo on Chernarus a password is required at Elektrozavodsk but NOT at Chernogorsk.

AEG_password = "abc123";

// The following line  enables the simulation to remain consistent for team switching players in SP and in the editor.  If you have other onTeamSwitch code you need for your mission ensure to include it here as well.  Comment or delete the line if you do not want team switch compatibility. 

onTeamSwitch {[_from, _to] execVM "AEG\Scripts\AEG_team.sqf";};

// If this is not a dedicated server then wait until the player connects otherwise execute the briefing and task script.
if (!isDedicated) then
{
    waitUntil {!isNull player};
};
_nul = [] execVM "briefing.sqf";
_nul = [] execVM "powerTask.sqf";

// Show hint.
hint "See briefing notes for more information on the ArmA Electrical Grids Simulation.  If it is too dark use your NVGs.";

// Debug options for developer only.  Similar code is present in most simulation scripts.
//AEG_DEBUG = true;
//LGD_fnc_debugMessage = compile (preprocessFileLineNumbers "LGD_fnc_debugMessage.sqf"); //DEBUG

if (!isNil "AEG_DEBUG") then {_debug = ["init.sqf: execVM AEG_init.sqf."] call LGD_fnc_debugMessage;}; //DEBUG