/*
File: briefing.sqf
Author: Loyalguard

Description:
Briefing file for AEG Demo Mission.

Parameters:
None.

Execution:
Executed from init.sqf.

*/

// QOM

// Grid Information Sections Custom to Each Island.

player createDiaryRecord ["Diary", ["Manzariyeh Airfield Substation", "The <marker name='D_Manz_A'>Manzariyeh Airfield Substation</marker> consists of one transformer (D_Manz_A).<br/><br/>

D_Manz_A receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Manz_A also distributes power to street lamps in the following cities, towns, and areas: Manzariyeh Airfield (South, North, and East).<br/><br/>

To determine if D_Manz_A has power flowing through it, check the condition of AEG_on_D_Manz_A.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Manz_A to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Manz_A to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ManzariyehAirfieldSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Military Base Northeast Substation", "The <marker name='D_Mili_N'>Military Base Northeast Substation</marker> consists of one transformer (D_Mili_N).<br/><br/>

D_Mili_N receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Mili_N also distributes power to street lamps in the following cities, towns, and areas: Grid 0197 and Morteza Qoli.<br/><br/>

To determine if D_Mili_N has power flowing through it, check the condition of AEG_on_D_Mili_N.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Mili_N to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Mili_N to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\MilitaryBaseNortheastSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Provincial Villa Substation", "The <marker name='D_Pron'>Provincial Villa Substation</marker> consists of one transformer (D_Pron).<br/><br/>

D_Pron receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Pron also distributes power to street lamps in the following cities, towns, and areas: Provincial Villa and Military Base Grid 008961.<br/><br/>

To determine if D_Pron has power flowing through it, check the condition of AEG_on_D_Pron.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Pron to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Pron to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ProvincialVillaSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Shahjerd Substation", "The <marker name='D_Shah'>Shahjerd Substation</marker> consists of one transformer (D_Shah).<br/><br/>

D_Shah receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Shah also distributes power to street lamps in the following cities, towns, and areas: Tehr-e-Sol, Shahjerd, Shezanabad, andGrid 0293.<br/><br/>

To determine if D_Shah has power flowing through it, check the condition of AEG_on_D_Shah.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Shah to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Shah to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ShahjerdSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Southwest Regional Substation", "The <marker name='D_SWRe'>Southwest Regional Substation</marker> consists of one transformer (D_SWRe).<br/><br/>

D_SWRe receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_SWRe also distributes power to street lamps in the following cities, towns, and areas: Grid 018900, Inejar Bezidabed, Shamsa-e-Soltan, Faizabad, and Zaiha.<br/><br/>

To determine if D_SWRe has power flowing through it, check the condition of AEG_on_D_SWRe.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_SWRe to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_SWRe to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\SouthwestRegionalSubstation.paa'/>"]];


player createDiaryRecord ["Diary", ["Southern Airport Highway Substation", "The <marker name='D_Airp_S'>Southern Airport Highway Substation</marker> consists of one transformer (D_Airp_S).<br/><br/>

D_Airp_S receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Airp_S also distributes power to street lamps in the following cities, towns, and areas: Gaiha, Airport Highway South, Shamsabad, Rahmatabad, Jannata, and Manzariyeh South.<br/><br/>

To determine if D_Airp_S has power flowing through it, check the condition of AEG_on_D_Airp_S.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Airp_S to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Airp_S to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\SouthernAirportHighwaySubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Manzariyeh Fort Substation", "The <marker name='D_Manz_F'>Manzariyeh Fort Substation</marker> consists of one transformer (D_Manz_F)  There is also one INACTIVE transformer that is not used.<br/><br/>

D_Manz_F receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Manz_F also distributes power to street lamps in the following cities, towns, and areas: Manzariyeh Fort.<br/><br/>

To determine if D_Manz_F has power flowing through it, check the condition of AEG_on_D_Manz_F.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Manz_F to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Manz_F to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ManzariyehFortSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Airport Highway Stop Substation", "The <marker name='D_Airp_H'>Airport Highway Stop Substation</marker> consists of one transformer (D_Airp_H).<br/><br/>

D_Airp_H receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Airp_H also distributes power to street lamps in the following cities, towns, and areas: Airport Highway Stop, Airport Highway Stop North, Military Base Grid 043984, Baqerabad, Airport Highway North, Baqerabad South, and Manzariyeh North.<br/><br/>

To determine if D_Airp_H has power flowing through it, check the condition of AEG_on_D_Airp_H.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Airp_H to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Airp_H to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\AirportHighwayStopSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Kushkabad Substation", "The <marker name='D_Kush'>Kushkabad Substation</marker> consists of one transformer (D_Kush).<br/><br/>

D_Kush receives power from P_Mahm at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Kush also distributes power to street lamps in the following cities, towns, and areas: Kushkabad, Kushk-E_Nosrat, Ganachini, Boushlurjabad North, Boushlurjabad South, and Soltanabad.<br/><br/>

To determine if D_Kush has power flowing through it, check the condition of AEG_on_D_Kush.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Kush to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Kush to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\KushkabadSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Aina East Substation", "The <marker name='D_Aina_E'>Aina East Substation</marker> consists of one transformer (D_Aina_E).<br/><br/>

D_Aina_E receives power from T_Mahm_3 at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Aina_E also distributes power to street lamps in the following cities, towns, and areas: Mahmoudabad, Airstrip, Military Base Grid 070941, and Emm-Erebad.<br/><br/>

To determine if D_Aina_E has power flowing through it, check the condition of AEG_on_D_Aina_E.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Aina_E to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Aina_E to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\AinaEastSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Aina West Substation", "The <marker name='D_Aina_W'>Aina West Substation</marker> consists of one transformer (D_Aina_W).<br/><br/>

D_Aina_W receives power from T_Mahm_2 at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Aina_W also distributes power to street lamps in the following cities, towns, and areas: Aina.<br/><br/>

To determine if D_Aina_W has power flowing through it, check the condition of AEG_on_D_Aina_W.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Aina_W to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Aina_W to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\AinaWestSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Asgara Substation", "The <marker name='D_Asga'>Asgara Substation</marker> consists of one transformer (D_Asga).<br/><br/>

D_Asga receives power from T_Mahm_1 at the <marker name='P_Mahm'>Mahmoudabad Power Plant</marker>.<br/><br/>

D_Asga also distributes power to street lamps in the following cities, towns, and areas: Persian Gulf Highway South, Asgara, Jannatabad, Persian Gulf Highway Stop, Oil Field, Jannatabad North, Mount Quah-re South, and Mount Quah-re.<br/><br/>

To determine if D_Asga has power flowing through it, check the condition of AEG_on_D_Asga.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Asga to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Asga to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\AsgaraSubstation.paa'/>"]];

player createDiaryRecord ["Diary", ["Mahmoudabad Power Plant", "The <marker name='P_Mahm'>Mahmoudabad Power Plant</marker> consists of a power plant building (P_Mahm), smokestack (S_Mahm), and three adjacent transformers (T_Mahm_1, T_Mahm_2, and T_Mahm_3).

To determine if P_Mahm is generating power, check the condition of AEG_on_P_Mahm.  To determine if the S_Mahm smokestack is functioning, check the condition of AEG_op_S_Mahm.
To temporarily disconnect power to locations connected to this power plant, change AEG_out_P_Mahm to false.  To permanently disconnect power to locations connected to this power plant, change AEG_op_P_Mahm to false.<br/><br/> 
 
T_Mahm_1 receives power from P_Mahm. T_Mahm_1 transmits power to D_Asga at the <marker name='D_Asga'>Asgara Substation</marker>.<br/><br/>

T_Mahm_2 receives power from P_Mahm.  T_Mahm_2 transmits power to D_Aina_W at the <marker name='D_Aina_W'>Aina West Substation</marker>.<br/><br/>

T_Mahm_3 receives power from P_Mahm.  T_Mahm_3 transmits power to D_Aina_E at the <marker name='D_Aina_E'>Aina East Substation</marker>.<br/><br/>

In addition to the above transmission buses/lines, P_Mahm also directly transmits power (lines are not visible) to D_Kush at the <marker name='D_Kush'>Kushkabad Substation</marker>, D_Airp_H at the <marker name='D_Airp_H'>Airport Highway Stop Substation</marker>, D_Manz_F at the <marker name='D_Manz_F'>Manzariyeh Fort Substation</marker>, D_Airp_S at the <marker name='D_Airp_S'>Southern Airport Highway Substation</marker>, D_SWRe at the <marker name='D_SWRe'>Southwest Regional Substation</marker>, D_Shah at the <marker name='D_Shah'>Shahjerd Substation</marker>, D_Pron at the <marker name='D_Pron'>Provincial Villa Substation</marker>, D_Mili_N at the <marker name='D_Mili_N'>Military Base Northeast Substation</marker>, and D_Manz_A at the <marker name='D_Manz_A'>Manzariyeh Airfield Substation</marker>.

Diagram:<br/>
<img image='Intelligence\MahmoudabadPowerPlant.paa'/>"]];

// Section for all AEG Briefings.

player createDiaryRecord ["Diary", ["---Mission Maker Documentation---", "The following sections contain information on each power plant, substation, or transformer used by AEG for this island.  Each section describes a specific grid component to include its location with links to the map, its connections to other grid components, associated variables for manipulation or monitoring for tasks, and overhead photo imagery with labels. All of the imagery used in this briefing can be found in the ""Intelligence"" folder inside the mission folder. All images are in .paa format that can easily be easily inserted into your own briefing, hints, or other resources.  All images are either North up or taken facing North.  Please note that all .paa files are 512x512 and may be partially cutoff on the right side for users with normal or large UI sizes."]];

player createDiaryRecord ["Diary", ["Demo Mission Overview", "In this demo you can click anywhere on the map to teleport to that location.  You are also armed with three satchel charges to destroy substations or pole-mounted transformers.  There is one playable position available at each substation or transformer pole.  See the Tasks section for a demo task.  The Following sections document the features of the grid on this island to include locations, connections, and variables relevant for tasks and objectives."]];

player createDiaryRecord ["Diary", ["In-Game Use", "There are three ways players can interact with the grids:<br/><br/>

1. Destroy components to cut off power. A transformer object must be completely destroyed for power flowing through it to be cut off. The same principle goes for power plant building. An object is completely destroyed when it disappears (or is replaced with rubble/ruins).<br/><br/>

2. Players can also manually cutoff and restore power at by tripping and closing circuit breakers respectively. To cut off power, walk towards the transformer and face the center. When close enough, you will see an action menu option to Trip Circuit Breaker or Close Circuit Breaker. This option can be turned off by the mission maker.  Mission makers can also add the possibility of an arc flash explosion when manually switching breakers.<br/><br/>

The below diagram shows the approximate position of the circuit breaker action menu activation area at substations or transformer poles depending on which is available on this island:<br/>
<img image='Intelligence\CircuitBreaker.paa'/>

<br/><br/>
3. If given the option by the mission maker players can logon to the grid control system and monitor and control power remotely. This island is NOT supported for remote access. Check readme.txt for a list of specific islands that do support remote access.<br/><br/>"]];

player createDiaryRecord ["Diary", ["AEG Overview","The ArmA Electrical Grids (AEG) simulate electrical power grids on specific A2, OA, and CO islands. There may be power plants with smokestacks that emit smoke when generating electricity. There may also be substations and pole-mounted transformers that emit a humming noise when energized. Street lamps are turned off when power is cutoff.  Some grid connections may be redundant in case certain components are offline.  There may be components on the map that are inactive."]];