/*
File: briefing.sqf
Author: Loyalguard

Description:
Briefing file for AEG Demo Missions.

Parameters:
None.

Execution:
Executed from init.sqf.

*/

// TAKISTAN

// Grid Information Sections Custom to Each Island.

player createDiaryRecord ["Diary", ["Anar Transformer Pole", "The <marker name='D_Anar'>Anar Transformer Pole</marker> consists of one transformer (D_Anar).<br/><br/>

D_Anar receives power from V_Taki.<br/><br/>

D_Anar also distributes power to street lamps in the following cities, towns, and areas: Anar and Surrounding Area.<br/><br/>

To determine if D_Anar has power flowing through it, check the condition of AEG_on_Anar.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Anar to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Anar to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\AnarPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Feruz Abad North Transformer Pole", "The <marker name='D_Feru_N'>Feruz Abad North Transformer Pole</marker> consists of one transformer (D_Feru_N).<br/><br/>

D_Feru_N receives power from V_Taki.<br/><br/>

D_Feru_N also distributes power to street lamps in the following cities, towns, and areas: Feruz Abad, Mine, and Falar.<br/><br/>

To determine if D_Feru_N has power flowing through it, check the condition of AEG_on_D_Feru_N.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Feru_S to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Feru_N to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\FeruzAbadNorthPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Feruz Abad South Transformer Pole", "The <marker name='D_Feru_S'>Feruz Abad North Transformer Pole</marker> consists of one transformer (D_Feru_S).<br/><br/>

D_Feru_S receives power from V_Taki.<br/><br/>

D_Feru_S also distributes power to street lamps in the following cities, towns, and areas: Kakaru, Sakhe North, Sakhe North, Jilavur, Khushab, Shukurkalay, Chaman, and Chaman West.<br/><br/>

To determine if D_Feru_S has power flowing through it, check the condition of AEG_on_D_Feru_S.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Feru_S to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Feru_S to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\FeruzAbadSouthPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Loy Manara West Transformer Pole", "The <marker name='D_LoyM_W'>Loy Manara West Transformer Pole</marker> consists of one transformer (D_LoyM_W).<br/><br/>

D_LoyM_W receives power from V_Taki.<br/><br/>

D_LoyM_W also distributes power to street lamps in the following cities, towns, and areas: Loy Manara, Jaza West, Jaza East, Chardarakht, Chardarakht East, and Hazar Bagh.<br/><br/>

To determine if D_LoyM_W has power flowing through it, check the condition of AEG_on_D_LoyM_W.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_LoyM_W to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_LoyM_W to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\LoyManaraWestPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Loy Manara East Transformer Pole", "The <marker name='D_LoyM_E'>Loy Manara East Transformer Pole</marker> consists of one transformer (D_LoyM_E).<br/><br/>

D_LoyM_E receives power from V_Taki.<br/><br/>

D_LoyM_E also distributes power to street lamps in the following cities, towns, and areas: airfield North, airfield North, Sultansafe, Huzrutimam, Chak Chak, Ahmaday, and Landaybr.<br/><br/>

To determine if D_LoyM_E has power flowing through it, check the condition of AEG_on_D_LoyM_E.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_LoyM_E to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_LoyM_E to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\LoyManaraEastPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Garmsar Transformer Pole", "The <marker name='D_Garm'>Garmsar Transformer Pole</marker> consists of one transformer (D_Garm).<br/><br/>

D_Garm receives power from V_Taki.<br/><br/>

D_Garm also distributes power to street lamps in the following cities, towns, and areas: Garmsar.<br/><br/>

To determine if ???? has power flowing through it, check the condition of AEG_on_D_Garm.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Garm to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Garm to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\GarmsarPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Imarat Transformer Pole", "The <marker name='D_Imar'>Imarat Transformer Pole</marker> consists of one transformer (D_Imar).<br/><br/>

D_Imar receives power from V_Taki.<br/><br/>

D_Imar also distributes power to street lamps in the following cities, towns, and areas: Imarat, Garmarud, and Timurkalay.<br/><br/>

To determine if D_Imar has power flowing through it, check the condition of AEG_on_D_Imar.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Imar to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Imar to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ImaratPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Bastam East Transformer Pole", "The <marker name='D_Bast_E'>Bastam East Transformer Pole</marker> consists of one transformer (D_Bast_E).<br/><br/>

D_Bast_E receives power from V_Taki.<br/><br/>

D_Bast_E also distributes power to street lamps in the following cities, towns, and areas: Bastam East, Sagram, Par-e Siah oilfield, Zavarak, Karachinar North, Karachinar North, and Grid 118114.<br/><br/>

To determine if D_Bast_E has power flowing through it, check the condition of AEG_on_D_Bast_E.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Bast_E to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Bast_E to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\BastamEastPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Bastam West Transformer Pole", "The <marker name='D_Bast_W'>Bastam West Transformer Pole</marker> consists of one transformer (D_Bast_W).<br/><br/>

D_Bast_W receives power from V_Taki.<br/><br/>

D_Bast_W also distributes power to street lamps in the following cities, towns, and areas: Bastam West, Lalezar, Gospandi, Rasman, Rasman North, Nagara-1 oilfield, Nagara, Safid Ab, Shamali, Nur, and Mulladost.<br/><br/>

To determine if D_Bast_W has power flowing through it, check the condition of AEG_on_D_Bast_W.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Bast_W to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Bast_W to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\BastamWestPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Takistan Virtual Power Plant", "Takistan has a ""virtual"" power plant (V_Taki) since there is no apparent functioning power plant located on the island.  It is not represented on the map and it does not have a smokestack or adjacent transformer(s).<br/><br/>

To determine if V_Taki is generating power, check the condition of AEG_on_V_Taki.  To temporarily disconnect power to locations connected to this virtual power plant, change AEG_out_V_Taki to false.  To permanently disconnect power to locations connected to this virtual power plant, change AEG_op_V_Taki to false.<br/><br/> 
 
V_Taki transmits power to D_Bast_W  in <marker name='D_Bast_W'>Bastam West</marker>, D_Bast_E in <marker name='D_Bast_E'>Bastam East</marker>, D_Imar in <marker name='D_Imar'>Imarat</marker>, D_Garm in <marker name='D_Garm'>Garmsar</marker>, D_LoyM_E in <marker name='D_LoyM_E'>Loy Manara East</marker>, D_LoyM_W in <marker name='D_LoyM_W'>Loy Manara West</marker>, D_Feru_S in <marker name='D_Feru_S'>Feruz Abad South</marker>, D_Feru_N in <marker name='D_Feru_N'>Feruz Abad North</marker>, D_Anar in <marker name='D_Anar'>Anar</marker>,"]];

// Section for all AEG Briefings.

player createDiaryRecord ["Diary", ["---Mission Maker Documentation---", "The following sections contain information on each power plant, substation, or transformer used by AEG for this island.  Each section describes a specific grid component to include its location with links to the map, its connections to other grid components, associated variables for manipulation or monitoring for tasks, and overhead photo imagery with labels. All of the imagery used in this briefing can be found in the ""Intelligence"" folder inside the mission folder. All images are in .paa format that can easily be easily inserted into your own briefing, hints, or other resources.  All images are either North up or taken facing North.  Please note that all .paa files are 512x512 and may be partially cutoff on the right side for users with normal or large UI sizes."]];

player createDiaryRecord ["Diary", ["Demo Mission Overview", "In this demo you can click anywhere on the map to teleport to that location.  You are also armed with three satchel charges to destroy substations or pole-mounted transformers.  There is one playable position available at each substation or transformer pole.  See the Tasks section for a demo task.  The Following sections document the features of the grid on this island to include locations, connections, and variables relevant for tasks and objectives."]];

player createDiaryRecord ["Diary", ["In-Game Use", "There are three ways players can interact with the grids:<br/><br/>

1. Destroy components to cut off power. A transformer object must be completely destroyed for power flowing through it to be cut off. The same principle goes for power plant building. An object is completely destroyed when it disappears (or is replaced with rubble/ruins).<br/><br/>

2. Players can also manually cutoff and restore power at by tripping and closing circuit breakers respectively. To cut off power, walk towards the transformer and face the center. When close enough, you will see an action menu option to Trip Circuit Breaker or Close Circuit Breaker. This option can be turned off by the mission maker.  Mission makers can also add the possibility of an arc flash explosion when manually switching breakers.<br/><br/>

The below diagram shows the approximate position of the circuit breaker action menu activation area at substations or transformer poles depending on which is available on this island:<br/>
<img image='Intelligence\CircuitBreaker.paa'/>

<br/><br/>
3. If given the option by the mission maker players can logon to the grid control system and monitor and control power remotely. This island is NOT supported for remote access. Check readme.txt for a list of specific islands that do support remote access.<br/><br/>"]];

player createDiaryRecord ["Diary", ["AEG Overview","The ArmA Electrical Grids (AEG) simulate electrical power grids on specific A2, OA, and CO islands. There may be power plants with smokestacks that emit smoke when generating electricity. There may also be substations and pole-mounted transformers that emit a humming noise when energized. Street lamps are turned off when power is cutoff.  Some grid connections may be redundant in case certain components are offline.  There may be components on the map that are inactive."]];