/*
File: briefing.sqf
Author: Loyalguard

Description:
Briefing file for AEG Demo Missions.

Parameters:
None.

Execution:
Executed from init.sqf.

*/

// ZARGABAD

// Grid Information Sections Custom to Each Island.

player createDiaryRecord ["Diary", ["Zargabad Military Base Transformer Pole", "The <marker name='D_Zarg_B'>Zargabad Military Base Transformer Pole</marker> consists of one transformer (D_Zarg_B).<br/><br/>

D_Zarg_B receives power from V_Zarg.<br/><br/>

D_Zarg_B also distributes power to street lamps in the following cities, towns, and areas: Zargabad Military Base.<br/><br/>

To determine if D_Zarg_B has power flowing through it, check the condition of AEG_on_D_Zarg_B.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Zarg_B to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Zarg_B to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ZargabadBasePole.paa'/>"]];

player createDiaryRecord ["Diary", ["Zargabad Villa Transformer Pole", "The <marker name='D_Zarg_V'>Zargabad Villa Transformer Pole</marker> consists of one transformer (D_Zarg_V).<br/><br/>

D_Zarg_V receives power from V_Zarg.<br/><br/>

D_Zarg_V also distributes power to street lamps in the following cities, towns, and areas: Zargabad Villa.<br/><br/>

To determine if D_Zarg_V has power flowing through it, check the condition of AEG_on_D_Zarg_V.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Zarg_V to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Zarg_V to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ZargabadVillaPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Zargabad Northern Transformer Pole", "The <marker name='D_Zarg_N'>Zargabad Northern Transformer Pole</marker> consists of one transformer (D_Zarg_N).<br/><br/>

D_Zarg_N receives power from V_Zarg.<br/><br/>

D_Zarg_N also distributes power to street lamps in the following cities, towns, and areas: Northern Zargabad, Hazar Bagh, Nango, and Azizayt.<br/><br/>

To determine if D_Zarg_N has power flowing through it, check the condition of AEG_on_D_Zarg_N.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Zarg_N to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Zarg_N to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ZargabadNorthernPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Zargabad Southern Transformer Pole", "The <marker name='D_Zarg_S'>Zargabad Southern Transformer Pole</marker> consists of one transformer (D_Zarg_S).<br/><br/>

D_Zarg_S receives power from V_Zarg.<br/><br/>

D_Zarg_S also distributes power to street lamps in the following cities, towns, and areas: Southern Zargabad, Yarum, Ab-e Shur dam, Shabaz, and Firuz Baharv.<br/><br/>

To determine if D_Zarg_S has power flowing through it, check the condition of AEG_on_D_Zarg_S.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Zarg_S to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Zarg_S to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ZargabadSouthernPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Zargabad Central Transformer Pole", "The <marker name='D_Zarg_C'>Zargabad Central Transformer Pole</marker> consists of one transformer (D_Zarg_C).<br/><br/>

D_Zarg_C receives power from V_Zarg.<br/><br/>

D_Zarg_C also distributes power to street lamps in the following cities, towns, and areas: Central Zargabad.<br/><br/>

To determine if D_Zarg_C has power flowing through it, check the condition of AEG_on_D_Zarg_C.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Zarg_C to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Zarg_C to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\ZargabadCentralPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Zargabad Virtual Power Plant", "Zargabad has a ""virtual"" power plant (V_Zarg) since there is no apparent functioning power plant located on the island.  It is not represented on the map and it does not have a smokestack or adjacent transformer(s).<br/><br/>

To determine if V_Zarg is generating power, check the condition of AEG_on_V_Zarg.  To temporarily disconnect power to locations connected to this virtual power plant, change AEG_out_V_Zarg to false.  To permanently disconnect power to locations connected to this virtual power plant, change AEG_op_V_Zarg to false.<br/><br/> 
 
V_Zarg transmits power to D_Zarg_C in <marker name='D_Zarg_C'>Central Zargabad</marker>, D_Zarg_S in <marker name='D_Zarg_S'>Southern Zargabad</marker>, D_Zarg_N in <marker name='D_Zarg_N'>Northern Zargabad</marker>, D_Zarg_V at the <marker name='D_Zarg_V'>Villa</marker>, and D_Zarg_B at the <marker name='D_Zarg_B'>military base</marker>"]];

// Section for all AEG Briefings.

player createDiaryRecord ["Diary", ["---Mission Maker Documentation---", "The following sections contain information on each power plant, substation, or transformer used by AEG for this island.  Each section describes a specific grid component to include its location with links to the map, its connections to other grid components, associated variables for manipulation or monitoring for tasks, and overhead photo imagery with labels. All of the imagery used in this briefing can be found in the ""Intelligence"" folder inside the mission folder. All images are in .paa format that can easily be easily inserted into your own briefing, hints, or other resources.  All images are either North up or taken facing North.  Please note that all .paa files are 512x512 and may be partially cutoff on the right side for users with normal or large UI sizes."]];

player createDiaryRecord ["Diary", ["Demo Mission Overview", "In this demo you can click anywhere on the map to teleport to that location.  You are also armed with three satchel charges to destroy substations or pole-mounted transformers.  There is one playable position available at each substation or transformer pole.  See the Tasks section for a demo task.  The Following sections document the features of the grid on this island to include locations, connections, and variables relevant for tasks and objectives."]];

player createDiaryRecord ["Diary", ["In-Game Use", "There are three ways players can interact with the grids:<br/><br/>

1. Destroy components to cut off power. A transformer object must be completely destroyed for power flowing through it to be cut off. The same principle goes for power plant building. An object is completely destroyed when it disappears (or is replaced with rubble/ruins).<br/><br/>

2. Players can also manually cutoff and restore power at by tripping and closing circuit breakers respectively. To cut off power, walk towards the transformer and face the center. When close enough, you will see an action menu option to Trip Circuit Breaker or Close Circuit Breaker. This option can be turned off by the mission maker.  Mission makers can also add the possibility of an arc flash explosion when manually switching breakers.<br/><br/>

The below diagram shows the approximate position of the circuit breaker action menu activation area at substations or transformer poles depending on which is available on this island:<br/>
<img image='Intelligence\CircuitBreaker.paa'/>

<br/><br/>
3. If given the option by the mission maker players can logon to the grid control system and monitor and control power remotely. This island is NOT supported for remote access. Check readme.txt for a list of specific islands that do support remote access.<br/><br/>"]];

player createDiaryRecord ["Diary", ["AEG Overview","The ArmA Electrical Grids (AEG) simulate electrical power grids on specific A2, OA, and CO islands. There may be power plants with smokestacks that emit smoke when generating electricity. There may also be substations and pole-mounted transformers that emit a humming noise when energized. Street lamps are turned off when power is cutoff.  Some grid connections may be redundant in case certain components are offline.  There may be components on the map that are inactive."]];