/*
File: briefing.sqf
Author: Loyalguard

Description:
Briefing file for AEG Demo Missions.

Parameters:
None.

Execution:
Executed from init.sqf.

*/

// UTES

// Grid Information Sections Custom to Each Island.

player createDiaryRecord ["Diary", ["Strelka Transformer Pole", "The <marker name='D_Stre'>Strelka Transformer Pole</marker> consists of one transformer (D_Stre).<br/><br/>

D_Stre receives power from V_Utes.<br/><br/>

D_Stre also distributes power to street lamps in the following cities, towns, and areas: Strelka.<br/><br/>

To determine if D_Stre has power flowing through it, check the condition of AEG_on_D_Stre.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Stre to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Stre to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\StrelkaPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Kamenyy Transformer Pole", "The <marker name='D_Kame'>Kamenyy Transformer Pole</marker> consists of one transformer (D_Kame).<br/><br/>

D_Kame receives power from V_Utes.<br/><br/>

D_Kame also distributes power to street lamps in the following cities, towns, and areas: Kamenyy.<br/><br/>

To determine if D_Kame has power flowing through it, check the condition of AEG_on_D_Kame.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Kame to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Kame to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\KamenyyPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Utes Airport Transformer Pole", "The <marker name='D_Utes_A'>Utes Airport Transformer Pole</marker> consists of one transformer (D_Utes_A).<br/><br/>

D_Utes_A receives power from V_Utes.<br/><br/>

D_Utes_A also distributes power to street lamps in the following cities, towns, and areas: Utes Airport and Surrounding Area.<br/><br/>

To determine if D_Utes_A has power flowing through it, check the condition of AEG_on_D_Utes_A.  To temporarily disconnect power to locations connected to this transformer, change AEG_out_D_Utes_A to false.  To permanently disconnect power to locations connected to this transformer, change AEG_op_D_Utes_A to false.<br/><br/>

Diagram:<br/>
<img image='Intelligence\UtesAirportPole.paa'/>"]];

player createDiaryRecord ["Diary", ["Utes Virtual Power Plant", "Utes has a ""virtual"" power plant (V_Utes) since there is no apparent functioning power plant located on the island.  It is not represented on the map and it does not have a smokestack or adjacent transformer(s).<br/><br/>

To determine if V_Utes is generating power, check the condition of AEG_on_V_Utes.  To temporarily disconnect power to locations connected to this virtual power plant, change AEG_out_V_Utes to false.  To permanently disconnect power to locations connected to this virtual power plant, change AEG_op_V_Utes to false.<br/><br/> 
 
V_Utes transmits power to D_Utes_A at the <marker name='D_Utes_A'>Utes Airport</marker>, D_Kame in <marker name='D_Kame'>Kamenyy</marker>, and D_Stre in <marker name='D_Stre'>Strelka</marker>."]];// Section for all AEG Briefings.

player createDiaryRecord ["Diary", ["---Mission Maker Documentation---", "The following sections contain information on each power plant, substation, or transformer used by AEG for this island.  Each section describes a specific grid component to include its location with links to the map, its connections to other grid components, associated variables for manipulation or monitoring for tasks, and overhead photo imagery with labels. All of the imagery used in this briefing can be found in the ""Intelligence"" folder inside the mission folder. All images are in .paa format that can easily be easily inserted into your own briefing, hints, or other resources.  All images are either North up or taken facing North.  Please note that all .paa files are 512x512 and may be partially cutoff on the right side for users with normal or large UI sizes."]];

player createDiaryRecord ["Diary", ["Demo Mission Overview", "In this demo you can click anywhere on the map to teleport to that location.  You are also armed with three satchel charges to destroy substations or pole-mounted transformers.  There is one playable position available at each substation or transformer pole.  See the Tasks section for a demo task.  The Following sections document the features of the grid on this island to include locations, connections, and variables relevant for tasks and objectives."]];

player createDiaryRecord ["Diary", ["In-Game Use", "There are three ways players can interact with the grids:<br/><br/>

1. Destroy components to cut off power. A transformer object must be completely destroyed for power flowing through it to be cut off. The same principle goes for power plant building. An object is completely destroyed when it disappears (or is replaced with rubble/ruins).<br/><br/>

2. Players can also manually cutoff and restore power at by tripping and closing circuit breakers respectively. To cut off power, walk towards the transformer and face the center. When close enough, you will see an action menu option to Trip Circuit Breaker or Close Circuit Breaker. This option can be turned off by the mission maker.  Mission makers can also add the possibility of an arc flash explosion when manually switching breakers.<br/><br/>

The below diagram shows the approximate position of the circuit breaker action menu activation area at substations or transformer poles depending on which is available on this island:<br/>
<img image='Intelligence\CircuitBreaker.paa'/>

<br/><br/>
3. If given the option by the mission maker players can logon to the grid control system and monitor and control power remotely. This island is NOT supported for remote access. Check readme.txt for a list of specific islands that do support remote access.<br/><br/>"]];

player createDiaryRecord ["Diary", ["AEG Overview","The ArmA Electrical Grids (AEG) simulate electrical power grids on specific A2, OA, and CO islands. There may be power plants with smokestacks that emit smoke when generating electricity. There may also be substations and pole-mounted transformers that emit a humming noise when energized. Street lamps are turned off when power is cutoff.  Some grid connections may be redundant in case certain components are offline.  There may be components on the map that are inactive."]];